## EXPORT_SPEC int ixmlElement_setAttributeNodeNS

## (IXML_Element* element,
IXML_Attr* newAttr,
IXML_Attr** rcAttr )

> Adds a new attribute node.

## Documentation

> Adds a new attribute node. If an attribute with the same local name and namespace URI already exists in the Element, the existing attribute node is replaced with newAttr and the old returned in rcAttr.

Parameters:
  element - The Element in which to add the attribute node.
  newAttr - The new Attr to add.
  rcAttr - A pointer to the replaced Attr, if it exists.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either element or newAttr is `NULL`.
  - `IXML_WRONG_DOCUMENT_ERR`: newAttr does not belong to the same document as element.
  - `IXML_INUSE_ATTRIBUTE_ERR`: newAttr already is an attribute of another Element.

Alphabetic index

This page was generated with the help of DOC++.